=== debian/changelog ===
goonies (1.4.1528-1~getdeb2) groovy; urgency=medium

  * First release here, chuck in new tweaks (link flags order, standards
    version...)

 -- Chris <dpkg@chris-nz.com>  Mon, 10 May 2021 20:53:56 +1200

goonies (1.4.1528-1~getdeb1) jaunty; urgency=low

  * New upstream version

 -- Joao Pinto <joao.pinto@getdeb.net>  Thu, 23 Jul 2009 18:56:35 +0000
