=== debian/control ===
Source: goonies
Section: games
Priority: optional
Maintainer: Joao Pinto <joao.pinto@getdeb.net>
Build-Depends: debhelper (>= 13),
	libsdl1.2-dev,
	libsdl-image1.2-dev,
	libsdl-mixer1.2-dev
Standards-Version: 4.5.1
Homepage: https://goonies.jorito.net/

Package: goonies
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, goonies-data (= ${source:Version})
Description: remake of the 8 bit classic game 'The Goonies'
 This game was made by Konami in 1986. There were both a NES version and an
 MSX version of the game; this remake is based on the MSX version.
 .
 The action takes place in the sleepy seaside town of Cauldron Point -
 down in an area known as the Goon Docks.
 The Goonies are a group of local kids - Mikey, Brand, Mouth, Chunk and Data.
 One day they find an old treasure map in Mikey's attic.
 Data figures that this must be the fabulous hidden treasure of the notorious
 local pirate, One-Eyed Willy.
 The girls, Andy and Stef, join the other Goonies and the adventure begins.
 But the secret underground tunnels they are exploring are actually the
 hideout of the Fratelli Gang, and the Goonies are soon trapped!
 The Goonies have a powerful ally on their side, however,
 in the form of the huge and amiable Sloth.
 .
 This package contains the platform-dependent files.

Package: goonies-data
Architecture: all
Depends: ${misc:Depends}
Description: remake of the 8 bit classic game 'The Goonies'
 This game was made by Konami in 1986. There were both a NES version and an
 MSX version of the game; this remake is based on the MSX version.
 .
 The action takes place in the sleepy seaside town of Cauldron Point -
 down in an area known as the Goon Docks.
 The Goonies are a group of local kids - Mikey, Brand, Mouth, Chunk and Data.
 One day they find an old treasure map in Mikey's attic.
 Data figures that this must be the fabulous hidden treasure of the notorious
 local pirate, One-Eyed Willy.
 The girls, Andy and Stef, join the other Goonies and the adventure begins.
 But the secret underground tunnels they are exploring are actually the
 hideout of the Fratelli Gang, and the Goonies are soon trapped!
 The Goonies have a powerful ally on their side, however,
 in the form of the huge and amiable Sloth.
 .
 This package contains architecture-independent assets.
