=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
#
#CFLAGS = -g3 -O3 -Wno-write-strings `sdl-config --cflags` -I/usr/X11R6/include
#LDFLAGS = `sdl-config --libs` -L/usr/X11R6/lib/ -lSDL_image -lSDL_mixer -lGL -lGLU

%:
	dh "$@"

override_dh_auto_install:
	@echo -n

execute_after_dh_fixperms:
	chmod -R -x debian/goonies-data/usr/share/games/goonies/sound/*.*
	chmod -R -x debian/goonies-data/usr/share/games/goonies/sound/sfx/*.*
